# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_privlib/perl_archlib not defined by default prior to F-2
%{!?perl_privlib: %global perl_privlib %(eval "`perl -V:installprivlib`"; echo $installprivlib)}

%global carp_version %(perl -MCarp -e 'print $Carp::VERSION;')

Name:		perl-Carp-Heavy
Version:	%{carp_version}
Release:	3.%{__distinit}%{__distvers}
Summary:	Pseudo-package for perl(Carp::Heavy)
URL:		http://perldoc.perl.org/Carp/Heavy.html
Group:		Development/Libraries
License:	GPL+ or Artistic
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
Provides:	perl(Carp::Heavy) = %{carp_version}
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	%{perl_privlib}/Carp/Heavy.pm

%description
The Carp::Heavy Perl module is part of the core perl distribution. However,
perl packages on some old distributions such as Red Hat Linux 9 and Fedora
Core releases 1 and 2 don't include the "virtual provide" of perl(Carp::Heavy)
to indicate that the module is available, which can cause dependency problems
for packages that require it, such as perl-Moose.

This package resolves the problem by converting the perl(Carp::Heavy)
dependency into a file-based dependency on the actual perl module file
%{perl_privlib}/Carp/Heavy.pm.

The problem was fixed in Red Hat / Fedora RPM packages as a response to
http://bugzilla.redhat.com/128507

%prep

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%changelog
* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> %{carp_version}-3
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> %{carp_version}-2
- Nobody else likes macros for commands

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> %{carp_version}-1
- Initial RPM package
